summaryrefslogtreecommitdiff
path: root/zephyr-env.sh
diff options
context:
space:
mode:
authorAndrew Boie <andrew.p.boie@intel.com>2016-08-01 16:22:08 -0700
committerInaky Perez-Gonzalez <inaky.perez-gonzalez@intel.com>2016-08-05 20:38:08 +0000
commit5cc0322c4526869901d1c3f25c99700133210f91 (patch)
tree5bd5336d13ef3778b0ec0311bd74a12e68d67aaa /zephyr-env.sh
parent0e4396917fdcb2b30f6c5367d2bdc218f17de4a7 (diff)
zephyr-env.sh: prepend to PATH
Currently, if you source this in one Zephyr tree and then source it again in a second copy, the PATH will still prefer tools and scripts the first Zephyr tree. Change-Id: I658231025b155d19a2bffa25b8062be7ccd06da4 Signed-off-by: Andrew Boie <andrew.p.boie@intel.com>
Diffstat (limited to 'zephyr-env.sh')
-rw-r--r--zephyr-env.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/zephyr-env.sh b/zephyr-env.sh
index 0e75530e6..e22744aa9 100644
--- a/zephyr-env.sh
+++ b/zephyr-env.sh
@@ -52,7 +52,7 @@ export ZEPHYR_BASE=$( builtin cd "$( dirname "$DIR" )" && pwd ${MINGW_OPT})
scripts_path=${ZEPHYR_BASE}/scripts
echo "${PATH}" | grep -q "${scripts_path}"
-[ $? != 0 ] && export PATH=${PATH}:${scripts_path}
+[ $? != 0 ] && export PATH=${scripts_path}:${PATH}
unset scripts_path
# enable custom environment settings